export declare function useModal(input: {
    id?: string;
    opened: () => boolean;
    onClose: () => void;
    trapFocus: () => boolean;
    closeOnEscape: () => boolean;
    returnFocus: () => boolean;
}): {
    id: import("vue").ComputedRef<string>;
    titleMounted: import("vue").Ref<boolean, boolean>;
    bodyMounted: import("vue").Ref<boolean, boolean>;
};
